import utils from './utils';
import Modal from './Modal.vue';
import ModalHeader from './ModalHeader.vue';
import ModalTitle from './ModalTitle.vue';
import ModalBody from './ModalBody.vue';
import ModalFooter from './ModalFooter.vue';
import BsButton from './Button.vue';
import Glyphicon from './Glyphicon.vue';

let components = {
    Modal,
    ModalHeader,
    ModalBody,
    ModalFooter,
    ModalTitle,
    BsButton,
    Glyphicon
};

module.exports = {
    ...components,
    install
};

function install(Vue) {
    for (let key of Object.keys(components)) {
        let name = utils.toKebabCase(key);
        Vue.component(name, components[key]);
    }
}